commit:     66f9a38fdfd630a3647a4e60518af8744fe114e2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 22 03:01:27 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 22 03:01:27 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66f9a38f

dev-python/pdm: Bump to 2.25.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pdm/Manifest          |  1 +
 dev-python/pdm/pdm-2.25.3.ebuild | 81 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index 730af34dff46..fedb9f1230be 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1 +1,2 @@
 DIST pdm-2.25.2.tar.gz 2662555 BLAKE2B 
1f0c6653aacc7acc281d0dddfc76a7c47db412bc9b74f69d6ea57a787a2f52f81d6b2d8a8db08c1653135dbb986441a3ffefa9b5fc7f3e33e13c65a5bcd79aee
 SHA512 
e68a60779445fd8007ede2f59ea47318d4eb64a9f5ab3561f4e46ab94c209d87bc564103b4bd0bd4229e5c1a9d55340207d18d13ced94aa78d3d82a4facdaf04
+DIST pdm-2.25.3.tar.gz 2662895 BLAKE2B 
4d726c896616521e389134729c8ae54bf335d174446a061fa34b3e4b75b18e6c54f1b5aa78d5bac50d482732ea93ca0db7bca6eee84defc65c13ee2a0297635b
 SHA512 
3eab897f87f9cce688d53d93fd14042919342eabaf311dbf08ec96022e68838c8b6660b1c334c35a7cb7365e6f019a4a9c36092b9d7bb082e72360ba14b2d5f5

diff --git a/dev-python/pdm/pdm-2.25.3.ebuild b/dev-python/pdm/pdm-2.25.3.ebuild
new file mode 100644
index 000000000000..5e9e71dd639e
--- /dev/null
+++ b/dev-python/pdm/pdm-2.25.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python package and dependency manager supporting the latest PEP 
standards"
+HOMEPAGE="
+       https://pdm-project.org/
+       https://github.com/pdm-project/pdm/
+       https://pypi.org/project/pdm/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       >=dev-python/dep-logic-0.5[${PYTHON_USEDEP}]
+       <dev-python/findpython-1[${PYTHON_USEDEP}]
+       >=dev-python/findpython-0.6.0[${PYTHON_USEDEP}]
+       dev-python/blinker[${PYTHON_USEDEP}]
+       dev-python/filelock[${PYTHON_USEDEP}]
+       >=dev-python/hishel-0.0.32[${PYTHON_USEDEP}]
+       >=dev-python/httpcore-1.0.6[${PYTHON_USEDEP}]
+       dev-python/httpx[${PYTHON_USEDEP}]
+       >=dev-python/id-1.5.0[${PYTHON_USEDEP}]
+       dev-python/installer[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/pbs-installer-2025.06.06[${PYTHON_USEDEP}]
+       dev-python/platformdirs[${PYTHON_USEDEP}]
+       dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+       dev-python/python-dotenv[${PYTHON_USEDEP}]
+       >=dev-python/resolvelib-1.1[${PYTHON_USEDEP}]
+       dev-python/rich[${PYTHON_USEDEP}]
+       dev-python/shellingham[${PYTHON_USEDEP}]
+       dev-python/tomlkit[${PYTHON_USEDEP}]
+       >=dev-python/truststore-0.9[${PYTHON_USEDEP}]
+       >=dev-python/unearth-0.17.5[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/msgpack[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+               dev-python/pytest-httpx[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+               dev-python/uv
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unpin deps
+       sed -i -e 's:,<[0-9.a]*::' pyproject.toml || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               
'tests/models/test_candidates.py::test_expand_project_root_in_url[demo @ 
file:///${PROJECT_ROOT}/tests/fixtures/artifacts/demo-0.0.1.tar.gz]'
+               # unhappy about extra packages being installed?
+               # (also fails randomly in venv)
+               tests/cli/test_build.py::test_build_with_no_isolation
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest  -m "not network and not integration and not path" \
+               -p pytest_mock -p pytest_httpx -p pytest_httpserver
+}

Reply via email to